html,
body {}

* {
    -webkit-touch-callout: none;
    -webkit-text-size-adjust: none;
    -webkit-tap-highlight-color: transparent;
    -webkit-user-select: none
}


.layout {
    position: absolute;
    display: none;
    pointer-events: none;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%
}

.hide {
    display: none
}

.infospot,
.textspot {
    width: 35px;
    height: 35px;
    transform: translate(-50%, -50%);
    background-position: 35px 0;
    background-size: 70px 70px;
    background-image: url(../../i/spot_sprite.png);
    cursor: pointer;
    transition-property: transform, opacity
}

.textspot {
    -moz-user-select: all;
    -webkit-user-select: all;
    -ms-user-select: all;
    user-select: all;
    background-position: 0 0
}

.textspot:focus,
.textspot:focus-within {
    outline: none
}

.textspot::after {
    content: " "
}

.textspot[tabindex] {
    content: "0":
}

.infospot-rotate {
    -webkit-animation-name: rotateactive;
    -webkit-animation-duration: .5s;
    -webkit-transition-timing-function: linear;
    -webkit-animation-fill-mode: forwards
}

.infospot-rotate-default {
    -webkit-animation-name: rotatedefault;
    -webkit-animation-duration: .5s;
    -webkit-transition-timing-function: linear;
    -webkit-animation-fill-mode: forwards
}

.infospot-hide {
    -webkit-animation-name: fadeOut;
    -webkit-animation-duration: .3s;
    -webkit-transition-timing-function: linear;
    -webkit-animation-fill-mode: forwards
}

.infospot-show {
    -webkit-animation-name: fadeIn;
    -webkit-animation-duration: .3s;
    -webkit-transition-timing-function: linear;
    -webkit-animation-fill-mode: forwards
}

.panospot1 {
    width: 40px;
    height: 40px;
    transform: translate(-50%, -50%);
    background-position: 40px 0;
    background-size: 80px 40px;
    background-image: url(../img/sprite.png);
    cursor: pointer
}

.panospot {
    width: 40px;
    height: 40px;
    transform: translate(-50%, -50%);
    background-position: 0 0;
    background-size: 40px 40px;
    background-image: url(../img/arrow.png);
    cursor: pointer
}




.controlBar {
    position: absolute;
    display: flex;
    left: 50%;
    bottom: 50px;
    width: 122px;
    height: 44px;
    background-size: 122px 132px;
    background-image: url(../../i/nav_sprite.png);
    background-position: 0 0;
    transform: translate(-50%, 0)
}

.controlBar_navi {
    position: relative;
    display: flex;
    pointer-events: auto;
    cursor: pointer;
    align-items: center;
    width: 67px;
    height: 42px;
    background-size: 122px 132px;
    background-image: url(../../i/nav_sprite.png);
    background-position: 0 44px
}

.controlBar_navi:hover {
    background-position: 0 88px
}

.controlBar_navi::before {
    position: relative
}

.controlBar_navi-next {
    transform: rotate(180deg)
}








.gallery {
    position: absolute;
    display: flex;
    width: 100%;
    height: 100%;
    opacity: 0;
    pointer-events: none;
    background: rgba(0, 0, 0, .4);
    transition: opacity .5s;
    justify-content: center;
    align-items: center;
    user-select: none;
    z-index: 1000
}

.gallery-opened {
    pointer-events: auto;
    opacity: 1
}

.gallery_popup {
    position: relative;
    max-width: 240px;
    flex-direction: column;
    padding: 10px 15px;
    background-color: rgba(0, 0, 0, .7)
}

.gallery_photo {
    position: relative;
    width: 100%;
    border: 1px #fff solid
}

.gallery_content {
    position: relative;
    font-family: Roboto;
    padding: 12px 0 20px;
    color: #fff;
    font-size: 15px;
    text-align: right;
    line-height: 100%
}

.gallery_content h3 {
    font-size: 20px;
    text-align: right;
    font-family: Roboto;
    line-height: normal;
    margin-top: 0;
    margin-bottom: 10px
}

.gallery_content a,
.gallery_content a:hover,
.gallery_content a:visited {
    color: #fff
}




/* для работы крутилки */
.fade-in {
    animation: fadeIn ease .9s;
    -webkit-animation: fadeIn ease .9s;
    -moz-animation: fadeIn ease .9s;
    -o-animation: fadeIn ease .9s;
    -ms-animation: fadeIn ease .9s
}





@keyframes fadeIn {
    0% {
        opacity: 0
    }

    100% {
        opacity: 1
    }
}

@-moz-keyframes fadeIn {
    0% {
        opacity: 0
    }

    100% {
        opacity: 1
    }
}

@-webkit-keyframes fadeIn {
    0% {
        opacity: 0
    }

    100% {
        opacity: 1
    }
}

@-o-keyframes fadeIn {
    0% {
        opacity: 0
    }

    100% {
        opacity: 1
    }
}

@-ms-keyframes fadeIn {
    0% {
        opacity: 0
    }

    100% {
        opacity: 1
    }
}

.fade-out {
    animation: fadeOut ease .9s;
    -webkit-animation: fadeOut ease .9s;
    -moz-animation: fadeOut ease .9s;
    -o-animation: fadeOut ease .9s;
    -ms-animation: fadeOut ease .9s
}

@keyframes fadeOut {
    0% {
        opacity: 1
    }

    100% {
        opacity: 0
    }
}

@-moz-keyframes fadeOut {
    0% {
        opacity: 1
    }

    100% {
        opacity: 0
    }
}

@-webkit-keyframes fadeOut {
    0% {
        opacity: 1
    }

    100% {
        opacity: 0
    }
}

@-o-keyframes fadeOut {
    0% {
        opacity: 1
    }

    100% {
        opacity: 0
    }
}

@-ms-keyframes fadeOut {
    0% {
        opacity: 1
    }

    100% {
        opacity: 0
    }
}

@-webkit-keyframes rotateactive {
    0% {
        -webkit-transform: translate(-50%, -50%) rotate(0deg)
    }

    100% {
        -webkit-transform: translate(-50%, -50%) rotate(225deg)
    }
}

@-webkit-keyframes rotatedefault {
    0% {
        -webkit-transform: translate(-50%, -50%) rotate(225deg)
    }

    100% {
        -webkit-transform: translate(-50%, -50%) rotate(0deg)
    }
}
